<div id="sidebar-container" class="sidebar-expanded">
    {% if tenant_configuration is defined and tenant_configuration.logoMain is not empty %}
    <div class="sidebar-brand" style="height: {{ tenant_configuration.logoMainHeight }}px">
        <img src="{{ url('public_tenant_logo_main', {
            tenant_url: tenant_configuration.tenant.baseurl,
            filename: tenant_configuration.logoMain.name,
            id: tenant_configuration.logoMain.id
        }) }}" alt="logo">
    </div>
    {% endif %}
    {% set adminTech = app.request.get('_route') starts with 'admin_' %}
    {% set tenantArg = tenant ? {tenant_url: tenant.baseUrl} : null %}
    {% set documentRuleRoutes = [
        'public', 'public_home', 'public_document_rule', 'app_reader_document_rule'
    ] %}
    {% set names = app.request.get('names') %}
    {% set routeIsDocumentRule = app.request.get('_route') in documentRuleRoutes %}

    {% if adminTech %}
        <ul class="list-group">
            <li>
                <a class="list-group-item list-group-item-action list-main-group"
                   href="{{ url('admin_home') }}"
                >
                    <div class="d-flex align-items-center">
                        <i class="fa fa-university fa-fw" aria-hidden="true"></i>
                        <span>Administration technique</span>
                    </div>
                </a>
            </li>
            {% for name, params in admin_menu.value %}
                {% if params is iterable %}
                    <li class="wrapper">
                        {% if params.href is defined %}
                            {% set isActive = app.request.get('_route') == params.href %}
                            {% set url = params.href is defined ? url(params.href) : url('public_management_rule') %}
                            <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                               href="{{ url }}"
                               data-original-href="#"
                               data-toggle-href="#nav-{{ params.href }}"
                               data-toggle="collapse-if-nav-collapsed"
                               aria-expanded="false"
                            >
                                <div class="d-flex align-items-center">
                                    <i class="{{ params.icon }} fa-fw" aria-hidden="true"></i>
                                    <span>{{ name }}</span>
                                </div>
                            </a>
                            <ul id="nav-{{ params.href }}" class="collapse sidebar-submenu list-group">
                                <li class="collaspse-title">
                                    <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                        <i class="{{ params.icon }} fa-fw" aria-hidden="true"></i>
                                        {{ name }}
                                    </a>
                                </li>
                            </ul>
                        {% else %}
                            <a class="list-group-item list-group-item-action"
                               href="#"
                               data-modal="ajax"
                               data-url="{{ url(params['data-url']) }}"
                               data-title="{{ params['data-title'] }}"
                               data-original-href="#"
                               data-toggle-href="#nav-{{ params['data-url'] }}"
                               data-toggle="collapse-if-nav-collapsed"
                               aria-expanded="false"
                            >
                                <div class="d-flex align-items-center">
                                    <i class="{{ params.icon }} fa-fw" aria-hidden="true"></i>
                                    <span>{{ name }}</span>
                                </div>
                            </a>
                            <ul id="nav-{{ params['data-url'] }}" class="collapse sidebar-submenu list-group">
                                <li class="collaspse-title">
                                    <a href="#"
                                       data-modal="ajax"
                                       data-url="{{ url(params['data-url']) }}"
                                       data-title="{{ params['data-title'] }}"
                                       class="list-group-item list-group-item-action sublist-item"
                                       role="button"
                                    >
                                        <i class="{{ params.icon }} fa-fw" aria-hidden="true"></i>
                                        {{ name }}
                                    </a>
                                </li>
                            </ul>
                        {% endif %}
                    </li>
                {% else %}
                    <li role="separator" class="divider"></li>
                {% endif %}
            {% endfor %}
        </ul>
    {% else %}
        {% if tenant and (tenant_configuration is not defined or tenant_configuration.logoMain is empty) %}
            <div class="navbar-brand">
                {{ tenant.name }}
            </div>
        {% endif %}
        <ul class="list-group">
            <li class="wrapper">
                {% set documentRuleRoutes = [
                    'public', 'public_home', 'public_document_rule', 'app_reader_document_rule'
                ] %}
                {% set isActive = routeIsDocumentRule and names is null %}
                {% set url = tenant ? url('app_reader_document_rule', tenantArg) : url('public_document_rule') %}
                <a class="list-group-item list-group-item-action with-anchor list-main-group{% if isActive %} active{% endif %}"
                   href="{{ url }}"
                   data-original-href="{{ url }}"
                   data-toggle-href="#categories-nav"
                   data-toggle="collapse"
                   aria-expanded="true"
                >
                    <div class="d-flex align-items-center">
                        <i class="fa fa-table fa-fw" aria-hidden="true"></i>
                        <span
                            class="anchor"
                            data-href="{{ url }}"
                            tabindex="0"
                            title="Se rendre sur Tableau de gestion"
                            aria-label="Tableau de gestion">Tableau de gestion</span>
                        <span class="submenu-icon ml-auto"></span>
                    </div>
                </a>
                <ul id="categories-nav" class="collapse sidebar-submenu list-group show">
                    <li class="collaspse-title">
                        <a href="{{ url }}"
                           class="list-group-item list-group-item-action sublist-item"
                        >
                            <i class="fa fa-table fa-fw" aria-hidden="true"></i>
                            <span>Tableau de gestion</span>
                        </a>
                    </li>
                    {{ lis|raw }}
                </ul>
            </li>
        </ul>
        <ul class="list-group">
            <li class="wrapper">
                <a class="list-group-item list-group-item-action list-main-group"
                   href="#"
                   data-toggle="collapse"
                   data-target="#referentiels-nav"
                   data-toggle-href="#referentiels-nav"
                   aria-expanded="true"
                   aria-controls="collapseOne"
                >
                    <div class="d-flex align-items-center">
                        <i class="far fa-object-group fa-fw" aria-hidden="true"></i>
                        <span class="anchor">Référentiel archivage</span>
                        <span class="submenu-icon ml-auto"></span>
                    </div>
                </a>
                <ul id="referentiels-nav" class="collapse sidebar-submenu list-group show">
                    <li class="collaspse-title">
                        <a href="#"
                           class="list-group-item list-group-item-action sublist-item"
                        >
                            <i class="fa fa-table fa-fw" aria-hidden="true"></i>
                            <span>Référentiel archivage</span>
                        </a>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_authority', 'app_reader_authority'] %}
                        {% set url = tenant ? url('app_reader_authority', tenantArg) : url('public_authority') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}"
                           data-original-href="{{ url }}"
                           data-toggle-href="#nav-authority"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fa fa-id-card fa-fw" aria-hidden="true"></i>
                                <span>Notices d'autorité</span>
                            </div>
                        </a>
                        <ul id="nav-authority" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fa fa-id-card fa-fw" aria-hidden="true"></i>
                                    Notices d'autorité
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_agreement', 'app_reader_agreement'] %}
                        {% set url = tenant ? url('app_reader_agreement', tenantArg) : url('public_agreement') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}" data-original-href="{{ url }}"
                           data-toggle-href="#nav-agreement"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fa fa-file-text fa-fw" aria-hidden="true"></i>
                                <span>Accords de versement</span>
                            </div>
                        </a>
                        <ul id="nav-agreement" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fa fa-file-text fa-fw" aria-hidden="true"></i>
                                    Accords de versement
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_profile', 'app_reader_profile'] %}
                        {% set url = tenant ? url('app_reader_profile', tenantArg) : url('public_profile') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}"
                           data-original-href="#"
                           data-toggle-href="#nav-profile"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fa fa-file-code-o fa-fw" aria-hidden="true"></i>
                                <span>Profils d'archives</span>
                            </div>
                        </a>
                        <ul id="nav-profile" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fa fa-file-code-o fa-fw" aria-hidden="true"></i>
                                    Profils d'archives
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_vocabulary', 'app_reader_vocabulary'] %}
                        {% set url = tenant ? url('app_reader_vocabulary', tenantArg) : url('public_vocabulary') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}"
                           data-original-href="#"
                           data-toggle-href="#nav-vocabulary"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fas fa-book fa-fw" aria-hidden="true"></i>
                                <span>Vocabulaires contrôlés</span>
                            </div>
                        </a>
                        <ul id="nav-vocabulary" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fas fa-book fa-fw" aria-hidden="true"></i>
                                    Vocabulaires contrôlés
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_service_level', 'app_reader_service_level'] %}
                        {% set url = tenant ? url('app_reader_service_level', tenantArg) : url('public_service_level') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}"
                           data-original-href="#"
                           data-toggle-href="#nav-service-level"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fa fa-handshake-o fa-fw" aria-hidden="true"></i>
                                <span>Niveaux de service</span>
                            </div>
                        </a>
                        <ul id="nav-service-level" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fa fa-handshake-o fa-fw" aria-hidden="true"></i>
                                    Niveaux de service
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        {% set isActive = app.request.get('_route') in ['public_management_rule', 'app_reader_management_rule'] %}
                        {% set url = tenant ? url('app_reader_management_rule', tenantArg) : url('public_management_rule') %}
                        <a class="list-group-item list-group-item-action{% if isActive %} active{% endif %}"
                           href="{{ url }}"
                           data-original-href="#"
                           data-toggle-href="#nav-management-rule"
                           data-toggle="collapse-if-nav-collapsed"
                           aria-expanded="false"
                        >
                            <div class="d-flex align-items-center">
                                <i class="fa fa-gavel fa-fw" aria-hidden="true"></i>
                                <span>Règles de gestion</span>
                            </div>
                        </a>
                        <ul id="nav-management-rule" class="collapse sidebar-submenu list-group">
                            <li class="collaspse-title">
                                <a href="{{ url }}" class="list-group-item list-group-item-action sublist-item">
                                    <i class="fa fa-gavel fa-fw" aria-hidden="true"></i>
                                    Règles de gestion
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    {% endif %}
    <div class="ls-sidebar-toggle">
        <a href="#" class="toggle-collapse"
           data-toggle="sidebar-collapse"
           title="Replier le menu latéral"
           aria-label="Replier le menu latéral">
            <div class="collapse-icon ng-star-inserted"></div>
        </a>
    </div>
</div>
